Subject: Re: [PATCH 01/13] delete_ref(): move declaration to refs.h

From: Michael Haggerty <[email-masked]>
Date: Sat, 13 Jun 2015 16:30:50 +0200

On 06/09/2015 06:42 PM, Stefan Beller wrote:
> On Tue, Jun 9, 2015 at 3:10 AM, Michael Haggerty <[email-masked]> wrote:
>> In set notation,
>>
>>     "non-NULL" =
>>         "non-NULL and not NULL_SHA1" ∪
>>         "non-NULL and equal to NULL_SHA1"
>>
>> The latter two are *not* treated the same, so I don't see how we can
>> claim that "non-NULL" and "not NULL_SHA1" are treated the same. I must
>> be misunderstanding you.
>>
>> Would it help if I changed the comment to
>>
>>     Delete the specified reference. If old_sha1 is non-NULL and not
>>     NULL_SHA1, then verify that the current value of the reference is
>>     old_sha1 before deleting it. If old_sha1 is NULL or NULL_SHA1,
>>     delete the reference it it exists, regardless of its old value.
>>
>> ?
> 
> This is very clear to me.

OK, I will make the change in v2 (with s/it it/if it/).

Michael

-- 
Michael Haggerty
[email-masked]